enforce_task.c File Reference
`#include "config.h"`
`#include <pthread.h>`
`#include "enforcer/enforcer.h"`
`#include "clientpipe.h"`
`#include "daemon/engine.h"`
`#include "signconf/signconf_task.h"`
`#include "keystate/keystate_ds_submit_task.h"`
`#include "keystate/keystate_ds_retract_task.h"`
`#include "duration.h"`
`#include "file.h"`
`#include "log.h"`
`#include "scheduler/schedule.h"`
`#include "scheduler/task.h"`
`#include "db/zone_db.h"`
`#include "db/db_clause.h"`
`#include "enforcer/enforce_task.h"`

Go to the source code of this file.

## Functions

time_t | enforce_task_perform (task_type *task, char const *owner, void *userdata, void *context)
task_type * | enforce_task (engine_type *engine, char const *owner)
void | enforce_task_flush_zone (engine_type *engine, char const *zonename)
void | enforce_task_flush_policy (engine_type *engine, db_connection_t *dbconn, policy_t const *policy)
void | enforce_task_flush_all (engine_type *engine, db_connection_t *dbconn)

## Function Documentation

## enforce_task()

task_type * enforce_task | ( | engine_type * | engine,
|  | char const * | owner )

Definition at line 145 of file enforce_task.c.

References enforce_task_perform().

Referenced by enforce_task_flush_all(), enforce_task_flush_policy(), and enforce_task_flush_zone().

## enforce_task_flush_all()

void enforce_task_flush_all | ( | engine_type * | engine,
|  | db_connection_t * | dbconn )

Definition at line 179 of file enforce_task.c.

References db_connection_free(), enforce_task(), zone_db::name, zone_list_db_free(), zone_list_db_new_get(), and zone_list_db_next().

Referenced by autostart().

## enforce_task_flush_policy()

void enforce_task_flush_policy | ( | engine_type * | engine,
|  | db_connection_t * | dbconn,
|  | policy_t const * | policy )

Definition at line 158 of file enforce_task.c.

References enforce_task(), zone_db::name, policy_id(), policy_name(), zone_list_db_free(), zone_list_db_new_get_by_policy_id(), and zone_list_db_next().

## enforce_task_flush_zone()

void enforce_task_flush_zone | ( | engine_type * | engine,
|  | char const * | zonename )

Definition at line 152 of file enforce_task.c.

References enforce_task().

Referenced by change_keys_from_to().

## enforce_task_perform()

time_t enforce_task_perform | ( | task_type * | task,
|  | char const * | owner,
|  | void * | userdata,
|  | void * | context )

Definition at line 138 of file enforce_task.c.

Referenced by enforce_task().